/*****************************************************************************
 * Fichier : main.c
 *****************************************************************************/
LONG exceptionhandler( LPEXCEPTION_POINTERS arg );
int Init_UL( void );

/*****************************************************************************
 * Fichier : routinesus.c
 *****************************************************************************/
HANDLE OuvrirLiaisonSerie( LPCTSTR lpNomduPort );
void FermerLiaisonSerie( HANDLE hPort );
void Demarrer68HC11( HANDLE hPort );
void LectureCapteursUS( HANDLE hPort, float *ustab );

/*****************************************************************************
 * Fichier : routinescna.c
 *****************************************************************************/
HANDLE AlloueTemponMemoire( long NbrVoies );
BOOL EcrireTension( HANDLE temponmemoire, double tensionaa, double tensiongd );
BOOL DesalloueTemponMemoire( HANDLE temponmemoire );

/*****************************************************************************
 * Fichier : routinescam.c
 *****************************************************************************/
LRESULT CALLBACK ErreurCallbackProc( HWND hwnd, int nErrID, LPSTR lpErrorText );
LRESULT CALLBACK VideoCallbackProc( HWND hwnd, LPVIDEOHDR lpVHdr );

/*****************************************************************************
 * Fichier : routinesodom.c
 *****************************************************************************/
int InitCompteursOdom( );
int RAZCompteursOdom( );
int SETCompteursOdom( long ctn1, long ctn2 );
long LireCompteurOdom( int nIdxCompteur );
